import request from '@/utils/request'

// 分页查询工班作业量明细列表
export function pageListWorkload(query) {
  return request({
    url: '/work/workload/pageList',
    method: 'get',
    params: query
  })
}

// 查询工班作业量明细列表
export function listWorkload(query) {
  return request({
    url: '/work/workload/list',
    method: 'get',
    params: query
  })
}

// 查询工班作业量明细详细
export function getWorkload(id) {
  return request({
    url: '/work/workload/' + id,
    method: 'get'
  })
}

// 新增工班作业量明细
export function addWorkload(data) {
  return request({
    url: '/work/workload',
    method: 'post',
    data: data
  })
}

// 修改工班作业量明细
export function updateWorkload(data) {
  return request({
    url: '/work/workload',
    method: 'put',
    data: data
  })
}

// 删除工班作业量明细
export function delWorkload(id) {
  return request({
    url: '/work/workload/' + id,
    method: 'delete'
  })
}

// 导出工班作业量明细
export function exportWorkload(query) {
  return request({
    url: '/work/workload/' + 'export',
    method: 'post',
    params: query
  })
}
